/*******************************************************************************
  Filename:     hal_button.h

  Description:  HAL button control header file

*******************************************************************************/

#ifndef HAL_BUTTON_H
#define HAL_BUTTON_H

#ifdef __cplusplus
extern "C" {
#endif


/******************************************************************************
 * INCLUDES
 */
#include "hal_types.h"


/******************************************************************************
 * CONSTANTS AND DEFINES
 */
enum {
    HAL_BUTTON_NONE = 0,
   	HAL_BUTTON_1,
	HAL_BUTTON_2,
};


/******************************************************************************
 * GLOBAL FUNCTIONS
 */
void  halButtonInit(void);
uint8 halButtonPushed(void);


#ifdef  __cplusplus
}
#endif

#endif

/*------------------------------------------------------------------------------
										  0ooo                                     
								ooo0	 (	 )                                     
								(	)	  ) /                                      
								 \ (	 (_/                                       
								  \_)		 Modify By:cuiqingwei [gary]                  
------------------------------------------------------------------------------*/