/*******************************************************************************

  Filename:     util_lcd.h

  Description:  Utility library header file for LCD control

*******************************************************************************/

#ifndef UTIL_LCD_H
#define UTIL_LCD_H

/*******************************************************************************
* INCLUDES
*/
#include "hal_types.h"
#include "util.h"



/*******************************************************************************
* CONSTANTS AND DEFINES
*/
#define utilPrintStr(s)     utilPrintText(s,sizeof(s))


/*******************************************************************************
* GLOBAL FUNCTIONS
*/
uint8   utilMenuSelect(const menu_t* pMenu);
void    utilPrintLogo(char* szAppName);
uint8   utilPrintText(uint8* pTxt, uint8 n);
void    utilLoadBarGraph(void);
void    utilDisplayBarGraph(uint8 line, uint8 col, uint8 min, uint8 value);

#endif


/*------------------------------------------------------------------------------
										  0ooo                                     
								ooo0	 (	 )                                     
								(	)	  ) /                                      
								 \ (	 (_/                                       
								  \_)		 Modify By:cuiqingwei [gary]                  
------------------------------------------------------------------------------*/
